Package Details: diorite 4.16.0-1

Git Clone URL: https://aur.archlinux.org/diorite.git (read-only)
Package Base: diorite
Description: Diorite Library is a utility and widget library for Nuvola Player project based on GLib, GIO and GTK.
Upstream URL: https://github.com/tiliado/diorite
Licenses: custom:BSD
Submitter: petRUShka
Maintainer: llde
Last Packager: llde
Votes: 16
Popularity: 0.000001
First Submitted: 2016-01-06 13:17
Last Updated: 2019-04-30 16:17

Latest Comments

1 2 3 Next › Last »

rien333 commented on 2019-10-15 14:35

I'm getting some compiler errors, for example:

DuplexChannel.vala:65.5-65.24: error: Creation method of abstract class cannot be public.

Is something outdated maybe?

llde commented on 2019-04-30 16:17

Updated to 4.16.0

sergey.orloff commented on 2019-03-06 00:33

If you fix it like this, then everything works fine: pkgver = 4.14.0 sha256sums = 71ea0bc42b02f49c3aed9ec34edb6906a284518cc395d1b95c0cc9590e3f745f

Kutabe commented on 2019-03-04 11:19

Same issue as JohnRobson

JohnRobson commented on 2018-12-11 19:58

==> Extracting sources...
  -> Extracting diorite-4.12.0.tar.gz with bsdtar
==> Starting build()...
Traceback (most recent call last):
  File "/tmp/makepkg/diorite/src/diorite-4.12.0/.waf3-1.9.11-8b8f24bab9f9f9b06f2a1ecbcb51f27c/waflib/Node.py", line 295, in ant_iter
    raise StopIteration
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/tmp/makepkg/diorite/src/diorite-4.12.0/.waf3-1.9.11-8b8f24bab9f9f9b06f2a1ecbcb51f27c/waflib/Scripting.py", line 122, in waf_entry_point

eschwartz commented on 2018-07-27 12:15

Okay, this is quite ridiculous and laramy2020 is still pushing bot updates that are totally broken. I'm just gonna orphan this.

maximaman commented on 2018-06-02 17:09

Please add a checksum for the latest source tarball so that the package build won't fail:

diff --git a/PKGBUILD b/PKGBUILD
index e369e8a..fc9dc48 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -12,6 +12,7 @@ depends=('python' 'vala' 'glib2' 'ruby-gio2' 'gtk3' 'sqlite' 'gobject-introspect
 optdepends=('valadoc:        A documentation tool for vala')
 makedepends=('scour')
 source=(https://github.com/tiliado/${pkgname}/archive/${pkgver}.tar.gz)
+sha1sums=('d16c8a16b7554708a7ba101e42a7437095977e9b')


 build() {

plaxx commented on 2018-05-28 18:54

Please add integrity to your PKGBUILD. For version 4.11.0-1 this would be:

sha256sums=('77d1786a77afccbe123b959912a1a4d30deb7847e80e5b49a0e942b5fb780489')

eschwartz commented on 2018-05-18 00:54

I'm extremely uneasy about people using "cron updates" to update their AUR packages. I don't know what you've done, but your piece of unworking garbage somehow managed to completely delete the checksums and is therefore incredibly unfit to be used.

Please 1) fix this, and 2) check your PKGBUILD actually builds before updating it, by 3) actually doing so yourself rather than completely delegating it to something incapable of exercising human judgment.

zexias commented on 2018-05-14 12:55

how can I solve the problem with integrity checks missing for source with 4.11.0-1v ?

Thanks in advance ^^